Subject: RE: maildir file names illegal on cygwin?
From: "Tony Arnold" <[email-masked]>
To: <[email-masked]>
Date: Wed, 3 Jul 2002 16:22:04 +0100

Greg,

> Are colons ':' illegal in cygwin file names? Every filename I 
> try to touch with a colon in it, backslashed or not, returns 
> this message:

Remember the underlying file system is a Windows one (FAT or NTFS) and
that uses : to separate drive letter from file name, so I suspect it is
not allowed in Windows file names.

> lang@afluser ~/.cpanplus/build/Mail-Box-2.016
> $ touch 110000006.l.43:2,
> touch: creating `110000006.l.43:2,': No such file or directory

When I do this on XP, the file gets created, but the name is truncated
at the :.

Regards,
Tony.
-- 
Tony Arnold, Deputy to the Head of COS Division, Manchester Computing,
University of Manchester, Oxford Road, Manchester M13 9PL.
T: +44 (0)161 275 6093, F: +44 (0)870 136 1004, M: +44 (0)773 330 0039
E-mail: [email-masked], Home: http://www.man.ac.uk/Tony.Arnold

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/